# Class DetectFaceLandmarksTaskBase<TReturn, TParentReturn>

#### Type Parameters

- #### TReturn

- #### TParentReturn

#### Hierarchy

- ComposableTask<TReturn>
  - DetectFaceLandmarksTaskBase
    - DetectAllFaceLandmarksTask
    - DetectSingleFaceLandmarksTask

- Defined in globalApi/DetectFaceLandmarksTasks.ts:16

#####
Index

### Constructors

constructor

### Methods

run
then

## Constructors

### constructor

- new DetectFaceLandmarksTaskBase<TReturn, TParentReturn>(parentTask: ComposableTask<TParentReturn> | Promise<TParentReturn>, input: any, useTinyLandmarkNet: boolean): DetectFaceLandmarksTaskBase<TReturn, TParentReturn>

- #### Type Parameters

  - #### TReturn

  - #### TParentReturn

  #### Parameters

  - ##### parentTask: ComposableTask<TParentReturn> | Promise<TParentReturn>

  - ##### input: any

  - ##### useTinyLandmarkNet: boolean

  #### Returns DetectFaceLandmarksTaskBase<TReturn, TParentReturn>

  Overrides ComposableTask.constructor

  - Defined in globalApi/DetectFaceLandmarksTasks.ts:17

## Methods

### run

- run(): Promise<TReturn>

- #### Returns Promise<TReturn>

  Inherited from ComposableTask.run

  - Defined in globalApi/ComposableTask.ts:7

### then

- then(onfulfilled: ((value: TReturn) => TReturn | PromiseLike<TReturn>)): Promise<TReturn>

- #### Parameters

  - ##### onfulfilled: ((value: TReturn) => TReturn | PromiseLike<TReturn>)

    - - (value: TReturn): TReturn | PromiseLike<TReturn>

      - #### Parameters

        - ##### value: TReturn

        #### Returns TReturn | PromiseLike<TReturn>

  #### Returns Promise<TReturn>

  Inherited from ComposableTask.then

  - Defined in globalApi/ComposableTask.ts:3